#ifndef PMS__H
#define PMS__H

#include <QObject>

#include "pms_def.h"

//works with module 0
class QTimer;
class PmsController : public QObject
{
    Q_OBJECT
signals:
    void status(int);
    void scan_finished();

public slots:
    void checkStatus();
    short Init();
    short StartScan();
    short StopScan();
    short Deinit();

public:
    PmsController();
    ~PmsController();

    void GetResult(quint32 *chA, quint32 *chB);
    double GetParam(short par_id);
    void SetParam(short par_id, float val);

    QTimer *checkTimer;
    short ret, pms_state, in_use[MAX_NO_OF_PMS];
    unsigned long  *dataA, *dataB, events_read;
    unsigned short start_pt, stop_pt, block_length;
    float *timeA,*timeB;
};

#endif //PMS__H
