/* -*- mode: C++ ; c-file-style: "stroustrup" -*- *****************************
 * Qwt Widget Library
 * Copyright (C) 1997   Josef Wilgen
 * Copyright (C) 2002   Uwe Rathmann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the Qwt License, Version 1.0
 *****************************************************************************/

#ifndef QWT_PLOT_CANVAS_H
#define QWT_PLOT_CANVAS_H


#include <qframe.h>

class QwtPlot;

/*!
  \brief Canvas of a QwtPlot.
  \sa QwtPlot
*/
class QwtPlotCanvas : public QFrame
{
    Q_OBJECT

public:
    QwtPlotCanvas( QwtPlot * );

protected:
    virtual void paintEvent( QPaintEvent * );
};

#endif
