#ifndef CAPTURE_H
#define CAPTURE_H

#include <QThread>
#include <QMutex>
#include <QImage>

class Capture : public QThread
{
    Q_OBJECT
public:
    void AddImage(QImage img);
    void SetSize(int w, int h);
    void SetFps(int fps);
    void SetFileName(QString name);
    void Stop();

private:
    void run();
    bool isStart;
    QList<QImage> added;
    QMutex added_lock;
    int width;
    int height;
    int fps;
    QString FileName;
};

#endif
