#ifndef IVIDEO_HPP
#define IVIDEO_HPP

typedef unsigned char BYTE;
class QObject;
#include <QString>

class IVideo
{
public:
    virtual ~IVideo() { }

    volatile bool isAutoAeAWB;

    virtual void Start() = 0;
    virtual void Stop() = 0;
    virtual QString getName() = 0;

    virtual const QObject *getObject() = 0;
    //object signals: ImgReceived[, expMin, expMax]

    virtual void setExposure(double) { }
    virtual void SetDoAWB(bool) = 0;
    virtual void SetDoAE(bool) = 0;

    virtual bool openCamera() { return false; }
    virtual bool openCamera(int) { return openCamera(); }
    virtual void closeCamera() = 0;
};

#endif //IVIDEO_HPP
