#ifndef SPM_MOTORS_H
#define SPM_MOTORS_H

#include "defs.h"
#include <QWidget>
class QCheckBox;
class QComboBox;
class Edit;

class TOptionsForMotor: public QWidget
{
    Q_OBJECT
public slots:
    void sl_update();
    void sl_save_to_file();
    void sl_load_from_file();

signals:
    void sig_Device_ID(bool);

public:
    double up_speed, up_dist, level_speed,
    land_speed, land_speed_close,
    land_close_perc;
    BYTE Landing_Mode;

    TOptionsForMotor();

    Edit *LEdUpSpeed;
    Edit *LEdUpDist;
    Edit *LEdLandingSpeed;
    Edit *LEdLandingSpeedClose;
    Edit *LEdLandingSpeedCloseC;
    Edit *LEd_Level_speed;
    QCheckBox *CB_Device;
    QComboBox *CB_landing_Mode;
};

#endif //SPM_MOTORS_H
